Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence.db
Class StaleObjectLogConfigurer.LogWrapper

    java.lang.Object
      org.jbpm.persistence.db.StaleObjectLogConfigurer.LogWrapper

All Implemented Interfaces:
  java.io.Serializable, org.apache.commons.logging.Log

Enclosing class:
  StaleObjectLogConfigurer

    public static class StaleObjectLogConfigurer.LogWrapper

extends java.lang.Object
implements org.apache.commons.logging.Log, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`StaleObjectLogConfigurer.LogWrapper(org.apache.commons.logging.Log delegate)`

Method Summary
`void` | `debug(java.lang.Object arg0)`
`void` | `debug(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `error(java.lang.Object arg0)`
`void` | `error(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `fatal(java.lang.Object arg0)`
`void` | `fatal(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `info(java.lang.Object arg0)`
`void` | `info(java.lang.Object arg0, java.lang.Throwable arg1)`
`boolean` | `isDebugEnabled()`
`boolean` | `isErrorEnabled()`
`boolean` | `isFatalEnabled()`
`boolean` | `isInfoEnabled()`
`boolean` | `isTraceEnabled()`
`boolean` | `isWarnEnabled()`
`void` | `trace(java.lang.Object arg0)`
`void` | `trace(java.lang.Object arg0, java.lang.Throwable arg1)`
`void` | `warn(java.lang.Object arg0)`
`void` | `warn(java.lang.Object arg0, java.lang.Throwable arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StaleObjectLogConfigurer.LogWrapper

    public StaleObjectLogConfigurer.LogWrapper(org.apache.commons.logging.Log delegate)

Method Detail

### debug

    public void debug(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### debug

    public void debug(java.lang.Object arg0)

  Specified by:
    `debug` in interface `org.apache.commons.logging.Log`

### error

    public void error(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### error

    public void error(java.lang.Object arg0)

  Specified by:
    `error` in interface `org.apache.commons.logging.Log`

### info

    public void info(java.lang.Object arg0,
                     java.lang.Throwable arg1)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### info

    public void info(java.lang.Object arg0)

  Specified by:
    `info` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### trace

    public void trace(java.lang.Object arg0)

  Specified by:
    `trace` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(java.lang.Object arg0,
                     java.lang.Throwable arg1)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### warn

    public void warn(java.lang.Object arg0)

  Specified by:
    `warn` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(java.lang.Object arg0,
                      java.lang.Throwable arg1)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### fatal

    public void fatal(java.lang.Object arg0)

  Specified by:
    `fatal` in interface `org.apache.commons.logging.Log`

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in interface `org.apache.commons.logging.Log`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in interface `org.apache.commons.logging.Log`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in interface `org.apache.commons.logging.Log`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in interface `org.apache.commons.logging.Log`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in interface `org.apache.commons.logging.Log`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in interface `org.apache.commons.logging.Log`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD